20.3.2 ‘Voyager’ released

– Feature: Support TOTP 2FA for customer accounts PLEASE NOTE: this is a limited-security feature only, protecting only (A) registering new devices; (B) opening the desktop app; and (C) logging …

20.3.1 ‘Voyager’ released

Changes compared to 20.3.0 – Feature: Support case-insensitive operators when performing a custom job search – Enhancement: Show icons for Protected Item type and Device operating system on the Recent …

20.3.0 ‘Voyager’ released

– Feature: Option to set the Comet Server internal database integrity check level – Enhancement: Display B2 API transaction class counts used by Storage Role on the About This Server …

19.12.8 ‘Voyager’ released

Changes compared to 19.12.7 – The Comet Backup uninstaller on macOS was moved to the Resources subdirectory of the `.app` package, to comply with Apple TN2206. – Enhancement: Improve performance …

19.12.6 ‘Voyager’ released

Changes compared to 19.12.5 – Comet Server now requires TLS1.2 for HTTPS connections, for improved PCI compliance. Windows Server 2008 users may be required to install KB4019276. – Fix an …

19.12.5 ‘Voyager’ released

Changes compared to 19.12.4 – Remove IE8 support for the Comet Server web interface – Enhancement: Minor reduction in web browser memory usage when browsing the Comet Server web interface …

19.12.4 ‘Voyager’ released

Changes compared to 19.12.3 – Feature: Support deleting files/folders from inside a past backup job snapshot – Feature: Support custom codesigning and notarising of the Comet Backup for macOS installer, …

19.12.2 ‘Voyager’ released

Changes compared to 19.12.1 – Comet Backup for macOS now requires OS X 10.10 Yosemite or higher (increased from 10.9 Mavericks) – Feature: Support remotely deleting historic backup snapshots from …

19.12.1 ‘Voyager’ released

Changes compared to 19.12.0 – Enhancement: Update Croatian translation – Enhancement: Add banner warning to the Vault Analysis dialog in the Comet Server web interface if the information is definitely …